﻿#include <bits/stdc++.h>

#ifdef dvb1r
#include "algo_debug.h"
#include "Timer.h"
// #else
//     #define debug(...)
#endif

using namespace std;
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#include <utility>
using namespace __gnu_pbds;
template<typename T>
using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

using ll = int64_t;
using ull = uint64_t;

template<typename a, typename b>
istream &operator>>(istream &in, pair<a, b> &p) {
    in >> p.first;
    in >> p.second;
    return in;
}

template<typename t>
istream &operator>>(istream &in, vector<t> &a) {
    for (auto &x : a) in >> x;
    return in;
}

template<bool need = 1, typename a, typename b>
ostream &operator<<(ostream &out, pair<a, b> &p) {
    out << p.first << (need ? " " : "") << p.second;
    return out;
}

template<bool need = 1, typename t>
ostream &operator<<(ostream &out, vector<t> &a) {
    for (auto &x : a) out << x << (need ? " " : "");
    return out;
}

const int mod = 1e9 + 7;
// const long double pi = atan2(0, -1);
ll oo = 1e18;
using ld = long double;

template<typename T>
T remin(T &a, T b) { return a = min(a, b); }

template<typename T>
T remax(T &a, T b) { return a = max(a, b); }

#define int int64_t

void solve() {
    string a, b; cin >> a >> b;
    char t = '0';
    auto plus = [&](string x, string y) {
        while(x.size() < y.size()) x = t + x;
        while(x.size() > y.size()) y = t + y;
        for(int i = 0; i < x.size(); ++i) remax(x[i], y[i]);
        return x;
    };
    auto umnna1 = [&](string x, char y) {
        for(int i = 0; i < x.size(); ++i) {
            remin(x[i], y);
        }
        return x;
    };
    auto rec = [&](string x, string y) {
        string rs = "0";
        for(int i = y.size() - 1; i >= 0; --i) {
            string nw = umnna1(x, y[i]);
            for(int j = 0; j < y.size() - 1 - i; ++j) nw += '0';
            rs = plus(rs, nw);
        }
        return rs;
    };
    cout << plus(a, b) << ' ' << rec(a, b) << '\n';
}

int32_t main() {
#ifdef dvb1r
    Timer timer;
    timer.start();
#endif

#ifdef dvb1r
    // freopen("input.txt", "r", stdin);
#endif
    cin.tie(nullptr);
    ios::sync_with_stdio(false);
    int test = 1;
    // cin >> test;
    while (test--) {
        solve();
    }
#ifdef dvb1r
    timer.finish();
    cerr << "\nruntime: " << timer() << "ms\n";
#endif
    return 0;
}
