﻿#include <bits/stdc++.h>

#ifdef dvb1r
#include "algo_debug.h"
#include "Timer.h"
// #else
//     #define debug(...)
#endif

using namespace std;
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#include <utility>
using namespace __gnu_pbds;
template<typename T>
using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

using ll = int64_t;
using ull = uint64_t;

template<typename a, typename b>
istream &operator>>(istream &in, pair<a, b> &p) {
    in >> p.first;
    in >> p.second;
    return in;
}

template<typename t>
istream &operator>>(istream &in, vector<t> &a) {
    for (auto &x : a) in >> x;
    return in;
}

template<bool need = 1, typename a, typename b>
ostream &operator<<(ostream &out, pair<a, b> &p) {
    out << p.first << (need ? " " : "") << p.second;
    return out;
}

template<bool need = 1, typename t>
ostream &operator<<(ostream &out, vector<t> &a) {
    for (auto &x : a) out << x << (need ? " " : "");
    return out;
}

const int mod = 1e9 + 7;
// const long double pi = atan2(0, -1);
ll oo = 1e18;
using ld = long double;

template<typename T>
T remin(T &a, T b) { return a = min(a, b); }

template<typename T>
T remax(T &a, T b) { return a = max(a, b); }

// #define int int64_t

struct point {
    ll x, y;
    point() : x(0), y(0) {}
    point(ll _x, ll _y) : x(_x), y(_y) {}
    point operator+(const point& o) const {
        return point(x + o.x, y + o.y);
    }
    point operator-(const point& o) const {
        return point(x - o.x, y - o.y);
    }
    int operator*(const point& o) const {
        return (x * o.x + y*o.y);
    }
    point operator*(const ll k) const {
        return point(x*k, y*k);
    }
    int operator%(const point& o) const {
        return (x*o.y - o.x * y);
    }
    point vec(const point& o) const {
        return o - *this;
    }
    ll len2() {
        return x * x + y * y;
    }
    ld len() {
        return sqrt(len2());
    }
};

istream& operator>> (istream& in, point &a) {
    in >> a.x >> a.y;
    return in;
}
ostream& operator<< (ostream& out, const point& a) {
    out << a.x << ' ' << a.y;
    return out;
}

void solve() {
    point a, b; cin >> a >> b;
    cout << a.vec(b).len();
}

int32_t main() {
#ifdef dvb1r
    Timer timer;
    timer.start();
#endif

#ifdef dvb1r
    // freopen("input.txt", "r", stdin);
#endif
    cin.tie(nullptr);
    ios::sync_with_stdio(false);
    int test = 1;
    // cin >> test;
    while (test--) {
        solve();
    }
#ifdef dvb1r
    timer.finish();
    cerr << "\nruntime: " << timer() << "ms\n";
#endif
    return 0;
}
