﻿#include <bits/stdc++.h>

#ifdef dvb1r
#include "algo_debug.h"
#include "Timer.h"
// #else
//     #define debug(...)
#endif

using namespace std;
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#include <utility>
using namespace __gnu_pbds;
template<typename T>
using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

using ll = int64_t;
using ull = uint64_t;

template<typename a, typename b>
istream &operator>>(istream &in, pair<a, b> &p) {
    in >> p.first;
    in >> p.second;
    return in;
}

template<typename t>
istream &operator>>(istream &in, vector<t> &a) {
    for (auto &x : a) in >> x;
    return in;
}

template<bool need = 1, typename a, typename b>
ostream &operator<<(ostream &out, pair<a, b> &p) {
    out << p.first << (need ? " " : "") << p.second;
    return out;
}

template<bool need = 1, typename t>
ostream &operator<<(ostream &out, vector<t> &a) {
    for (auto &x : a) out << x << (need ? " " : "");
    return out;
}

const int mod = 1e9 + 7;
// const long double pi = atan2(0, -1);
ll oo = 1e18;
using ld = long double;

template<typename T>
T remin(T &a, T b) { return a = min(a, b); }

template<typename T>
T remax(T &a, T b) { return a = max(a, b); }

#define int int64_t

struct drob {
    int x, y;
    drob operator+(const drob& o) const  {
        drob rs{};
        rs.x = x + o.x;
        rs.y = y + o.y;
        return rs;
    }
    bool operator==(const drob& o) const {
        return x == o.x && y == o.y;
    }
    bool operator<(const drob& o) const {
        return x * o.y < y * o.x;
    }
    bool operator>(const drob& o) const {
        return x * o.y > y * o.x;
    }
};

ostream& operator<<(ostream& out, const drob& o) {
    out << o.x << '/' << o.y;
    return out;
}

void solve() {
    int a, b; cin >> a >> b;
    int g = __gcd(a ,b);
    a /= g;
    b /= g;
    drob t = {a, b};
    drob l = {0, 1};
    drob r = {1, 0};
    vector<drob> v = {l, {1, 1}, r};
    bool ok = true;
    vector<int> av;
    map<drob, string> path;
    path[{1, 1}] = "R";
    set<int> novie = {1};
    for(int k = 0; k < 20; ++k) {
        vector<drob> nw;
        ok = false;
        int j = 0;
        set<int> nwnovie;
        for(int i = 0; i < v.size(); ++i) {
            if(!novie.contains(i)) {
                nw.push_back(v[i]);
                j++;
                continue;
            }
            drob z = v[i] + v[i - 1];
            nw.push_back(z);
            nwnovie.insert(j);
            j++;
            path[z] = path[v[i]] + 'L';
            nw.push_back(v[i]);
            j++;
            drob zz = v[i] + v[i + 1];
            nw.push_back(zz);
            nwnovie.insert(j);
            j++;
            path[zz] = path[v[i]] + 'R';
            if(z == t) {
                cout << path[z] << '\n';
                return;
            }
            if(zz == t) {
                cout << path[zz] << '\n';
                return;
            }
        }
        v = nw;
        // for(auto& p : v) cout << p.x << '/' << p.y << ", ";
        // cout << endl;
        novie = nwnovie;
    }
}

int32_t main() {
#ifdef dvb1r
    Timer timer;
    timer.start();
#endif

#ifdef dvb1r
    // freopen("input.txt", "r", stdin);
#endif
    cin.tie(nullptr);
    ios::sync_with_stdio(false);
    int test = 1;
    // cin >> test;
    while (test--) {
        solve();
    }
#ifdef dvb1r
    timer.finish();
    cerr << "\nruntime: " << timer() << "ms\n";
#endif
    return 0;
}
